---
title: "Export last logins of members"
url: "https://docs.signnow.com/docs/organization/operations/post-v2-organizations-org_id-members-last-logins-export"
type: "endpoint"
section: "organization"
slug: "organization/operations/post-v2-organizations-org_id-members-last-logins-export"
method: "POST"
path: "/v2/organizations/{organization_id}/members/last-logins/export"
operation_id: "post-v2-organizations-org_id-members-last-logins-export"
authorization: "bearer"
---

# Export last logins of members

`POST /v2/organizations/{organization_id}/members/last-logins/export`

This endpoint allows for admin of the organization to get a CSV file with login data for the selected date range. The file is sent by email.

## Authorization

bearer

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `organization_id` | string | Yes | ID of the organization |

## Query Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `date_from` | integer | Yes | A timestamp that defines the timeframe for the data collection (from). |
| `date_to` | integer | Yes | A timestamp that defines the timeframe for the data collection (to). |

## Responses

### 204

Success, no content

### 400

* Period values are missing.
* Incorrect period value or format.
* date_from is greater than date_to.
* date_from is not integer.
* date_to is not integer.
* Report for this date range was requested 30 minutes again or less.

**Example** (`date_to missing`)

```json
{
  "errors": [
    {
      "code": 12006009,
      "message": "The `date_to` field is required."
    }
  ]
}
```

**Example** (`Incorrect date_to`)

```json
{
  "errors": [
    {
      "code": 12006015,
      "message": "The `date_to` field value must be positive, non zero value."
    }
  ]
}
```

**Example** (`date_from missing`)

```json
{
  "errors": [
    {
      "code": 12006007,
      "message": "The `date_from` field is required."
    }
  ]
}
```

**Example** (`Incorrect date_from`)

```json
{
  "errors": [
    {
      "code": 12006014,
      "message": "The `date_from` field value must be positive, non zero value."
    }
  ]
}
```

**Example** (`date_to not integer`)

```json
{
  "errors": [
    {
      "code": 12006010,
      "message": "The `date_to` field must be an integer."
    }
  ]
}
```

**Example** (`date_from not integer`)

```json
{
  "errors": [
    {
      "code": 12006008,
      "message": "The `date_from` field must be an integer."
    }
  ]
}
```

**Example** (`This request already exists`)

```json
{
  "errors": [
    {
      "code": 12020001,
      "message": "A report with the same filtering criteria is already being generated. Try again later."
    }
  ]
}
```

**Example** (`date_from greater than date_to`)

```json
{
  "errors": [
    {
      "code": 12006011,
      "message": "`date_to` should be greater than `date_from`."
    }
  ]
}
```

### 403

* User doesn't have active trial professional or enterprise subscription.
* User is not an administrator of the organization.
* Organization is not active.

**Example** (`User not admin`)

```json
{
  "errors": [
    {
      "code": 12003003,
      "message": "Access denied for current administration role in your organization."
    }
  ]
}
```

**Example** (`Subscription error`)

```json
{
  "errors": [
    {
      "code": 12003002,
      "message": "Access denied for current subscription."
    }
  ]
}
```

**Example** (`Organization not active`)

```json
{
  "errors": [
    {
      "code": 12003005,
      "message": "Organization is not active."
    }
  ]
}
```

### 404

Organization is not active or doesn't exist.

**Example** (`Example 1`)

```json
{
  "errors": [
    {
      "code": 12003001,
      "message": "Organization {organization_id} is not found."
    }
  ]
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X POST \
  "https://api.signnow.com/v2/organizations/{organization_id}/members/last-logins/export" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN" \
  -H "Content-Type: application/json"
```

---
*Full reference: https://docs.signnow.com/docs/organization/operations/post-v2-organizations-org_id-members-last-logins-export*
